Below are example payloads that the anchore-engine will send via POST to your configured webhook endpoint, for each supported subscription type.


analysis_update:

{
    "created_at": 1541630202,
    "userId": "admin",
    "tries": 0,
    "record_state_val": null,
    "last_updated": 1541630202,
    "dataId": "628bc5d8-430b-47f4-9542-a83e644fb977",
    "queueId": "analysis_update",
    "max_tries": 1541630232,
    "data": {
        "notification_user": "admin",
        "notification_user_email": "admin@system",
        "notification_type": "analysis_update",
        "notification_payload": {
            "curr_eval": {
                "analysis_status": "analyzed",
                "annotations": {

                },
                "imageDigest": "sha256:5e590ba9448e37eec258ea6d3bda8c5a315b40f33b5f410d724bab3e0747fccb"
            },
            "last_eval": {
                "analysis_status": "analyzing",
                "annotations": {

                },
                "imageDigest": "sha256:5e590ba9448e37eec258ea6d3bda8c5a315b40f33b5f410d724bab3e0747fccb"
            },
            "notificationId": "628bc5d8-430b-47f4-9542-a83e644fb977",
            "subscription_key": "docker.io/dnurmi/testrepo:latest",
            "userId": "admin"
        }
    },
    "record_state_key": "active"
}


tag_update:

{
    "created_at": 1541630666,
    "userId": "admin",
    "tries": 0,
    "record_state_val": null,
    "last_updated": 1541630665,
    "dataId": "da27d38c-172e-4641-bcb4-4d3c0ac1c8db",
    "queueId": "tag_update",
    "max_tries": 1541630695,
    "data": {
        "notification_user": "admin",
        "notification_user_email": "admin@system",
        "notification_type": "tag_update",
        "notification_payload": {
            "curr_eval": [
                "sha256:870b19d67fab8b927fd97d526da13ef6ea28e8b057cd5a652a92c7e166a202b2"
            ],
            "last_eval": [
                "sha256:5e590ba9448e37eec258ea6d3bda8c5a315b40f33b5f410d724bab3e0747fccb"
            ],
            "notificationId": "da27d38c-172e-4641-bcb4-4d3c0ac1c8db",
            "subscription_key": "docker.io/dnurmi/testrepo:latest",
            "userId": "admin"
        }
    },
    "record_state_key": "active"
}



policy_eval:

{
    "created_at": 1541630774,
    "userId": "admin",
    "tries": 0,
    "record_state_val": null,
    "last_updated": 1541630773,
    "dataId": "3d2a3c85-244a-4a52-a412-3142d307f8ce",
    "queueId": "policy_eval",
    "max_tries": 1541630803,
    "data": {
        "notification_user": "admin",
        "notification_user_email": "admin@system",
        "notification_type": "policy_eval",
        "notification_payload": {
            "curr_eval": {
                "bundle": {
                    "blacklisted_images": [

                    ],
                    "description": "ablh",
                    "id": "e4d35a5a-444e-4c39-88b5-2ad3c99ca2b1",
                    "last_updated": 1541023889,
                    "mappings": [
                        {
                            "id": "08569fb2-83d4-46f2-9a02-5b85ba46f124",
                            "image": {
                                "type": "tag",
                                "value": "*"
                            },
                            "name": "default",
                            "policy_ids": [
                                "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                            ],
                            "registry": "*",
                            "repository": "*",
                            "whitelist_ids": [

                            ]
                        }
                    ],
                    "name": "blah",
                    "policies": [
                        {
                            "comment": "",
                            "id": "c69d766d-9f41-44d5-8cef-acab1c5b0e0a",
                            "name": "default",
                            "rules": [
                                {
                                    "action": "STOP",
                                    "gate": "always",
                                    "id": "5894320e-f8c8-4368-9ea2-16b255bc5f3a",
                                    "params": [

                                    ],
                                    "trigger": "always"
                                }
                            ],
                            "version": "1_0"
                        }
                    ],
                    "version": "1_0",
                    "whitelisted_images": [

                    ],
                    "whitelists": [

                    ]
                },
                "created_at": 1541630773,
                "evaluation_problems": [

                ],
                "final_action": "stop",
                "final_action_reason": "policy_evaluation",
                "image_id": "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f",
                "last_modified": 1541630773,
                "matched_blacklisted_images_rule": false,
                "matched_mapping_rule": {
                    "id": "08569fb2-83d4-46f2-9a02-5b85ba46f124",
                    "image": {
                        "type": "tag",
                        "value": "*"
                    },
                    "name": "default",
                    "policy_ids": [
                        "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                    ],
                    "registry": "*",
                    "repository": "*",
                    "whitelist_ids": [

                    ]
                },
                "matched_whitelisted_images_rule": false,
                "result": {
                    "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f": {
                        "result": {
                            "final_action": "stop",
                            "header": [
                                "Image_Id",
                                "Repo_Tag",
                                "Trigger_Id",
                                "Gate",
                                "Trigger",
                                "Check_Output",
                                "Gate_Action",
                                "Whitelisted",
                                "Policy_Id"
                            ],
                            "row_count": 1,
                            "rows": [
                                [
                                    "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f",
                                    "docker.io/dnurmi/testrepo:latest",
                                    "always",
                                    "always",
                                    "always",
                                    "Unconditional trigger match",
                                    "stop",
                                    false,
                                    "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                                ]
                            ]
                        }
                    },
                    "policy_data": [

                    ],
                    "policy_name": "",
                    "whitelist_data": [

                    ],
                    "whitelist_names": [

                    ]
                },
                "tag": "docker.io/dnurmi/testrepo:latest",
                "user_id": "admin"
            },
            "last_eval": {
                "bundle": {
                    "blacklisted_images": [

                    ],
                    "description": "ablh",
                    "id": "e4d35a5a-444e-4c39-88b5-2ad3c99ca2b1",
                    "last_updated": 1541023889,
                    "mappings": [
                        {
                            "id": "08569fb2-83d4-46f2-9a02-5b85ba46f124",
                            "image": {
                                "type": "tag",
                                "value": "*"
                            },
                            "name": "default",
                            "policy_ids": [
                                "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                            ],
                            "registry": "*",
                            "repository": "*",
                            "whitelist_ids": [

                            ]
                        }
                    ],
                    "name": "blah",
                    "policies": [
                        {
                            "comment": "",
                            "id": "c69d766d-9f41-44d5-8cef-acab1c5b0e0a",
                            "name": "default",
                            "rules": [
                                {
                                    "action": "GO",
                                    "gate": "always",
                                    "id": "5894320e-f8c8-4368-9ea2-16b255bc5f3a",
                                    "params": [

                                    ],
                                    "trigger": "always"
                                }
                            ],
                            "version": "1_0"
                        }
                    ],
                    "version": "1_0",
                    "whitelisted_images": [

                    ],
                    "whitelists": [

                    ]
                },
                "created_at": 1541630761,
                "evaluation_problems": [

                ],
                "final_action": "go",
                "final_action_reason": "policy_evaluation",
                "image_id": "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f",
                "last_modified": 1541630761,
                "matched_blacklisted_images_rule": false,
                "matched_mapping_rule": {
                    "id": "08569fb2-83d4-46f2-9a02-5b85ba46f124",
                    "image": {
                        "type": "tag",
                        "value": "*"
                    },
                    "name": "default",
                    "policy_ids": [
                        "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                    ],
                    "registry": "*",
                    "repository": "*",
                    "whitelist_ids": [

                    ]
                },
                "matched_whitelisted_images_rule": false,
                "result": {
                    "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f": {
                        "result": {
                            "final_action": "go",
                            "header": [
                                "Image_Id",
                                "Repo_Tag",
                                "Trigger_Id",
                                "Gate",
                                "Trigger",
                                "Check_Output",
                                "Gate_Action",
                                "Whitelisted",
                                "Policy_Id"
                            ],
                            "row_count": 1,
                            "rows": [
                                [
                                    "de82dc9e4f0bd379ebc7232840408aea2a0f6c83e5010411ad713d606ae9c61f",
                                    "docker.io/dnurmi/testrepo:latest",
                                    "always",
                                    "always",
                                    "always",
                                    "Unconditional trigger match",
                                    "go",
                                    false,
                                    "c69d766d-9f41-44d5-8cef-acab1c5b0e0a"
                                ]
                            ]
                        }
                    },
                    "policy_data": [

                    ],
                    "policy_name": "",
                    "whitelist_data": [

                    ],
                    "whitelist_names": [

                    ]
                },
                "tag": "docker.io/dnurmi/testrepo:latest",
                "user_id": "admin"
            },
            "notificationId": "3d2a3c85-244a-4a52-a412-3142d307f8ce",
            "subscription_key": "docker.io/dnurmi/testrepo:latest",
            "userId": "admin"
        }
    },
    "record_state_key": "active"
}



vuln_update:

{
    "record_state_key": "active", 
    "last_updated": 1517784969, 
    "queueId": "vuln_update", 
    "record_state_val": null, 
    "created_at": 1517784969, 
    "userId": "admin", 
    "tries": 0, 
    "dataId": "60ca8b9b-2b81-4196-a9f6-278af09d9a6e", 
    "max_tries": 1517784999, 
    "data": {
        "notification_user": "admin", 
        "notification_type": "vuln_update", 
        "notification_user_email": "admin@myemail.com", 
        "notification_payload": {
            "notificationId": "60ca8b9b-2b81-4196-a9f6-278af09d9a6e", 
            "userId": "admin", 
            "subscription_key": "docker.io/dnurmi/testrepo:latest", 
            "diff_vulnerability_result": {
                "updated": [], 
                "removed": [
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-2781", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2016-2781", 
                        "Vulnerable_Package": "coreutils-8.25-2ubuntu3~16.04"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2018-6485", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2018-6485", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-15908", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2017-15908", 
                        "Vulnerable_Package": "systemd-sysv-229-4ubuntu21"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-1238", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2016-1238", 
                        "Vulnerable_Package": "perl-base-5.22.1-9ubuntu0.2"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2018-1049", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2018-1049", 
                        "Vulnerable_Package": "systemd-sysv-229-4ubuntu21"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-3189", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2016-3189", 
                        "Vulnerable_Package": "libbz2-1.0-1.0.6-8"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2015-5180", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2015-5180", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-10228", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2016-10228", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13729", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13729", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13728", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13728", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13846", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2017-13846", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-7186", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-7186", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-8283", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-8283", 
                        "Vulnerable_Package": "dpkg-1.18.4ubuntu1.3"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-8804", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2017-8804", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-5011", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2016-5011", 
                        "Vulnerable_Package": "util-linux-2.27.1-6ubuntu3.3"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2018-10000", 
                        "Severity": "High", 
                        "CVE_ID": "CVE-2018-10000", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-18078", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-18078", 
                        "Vulnerable_Package": "systemd-sysv-229-4ubuntu21"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-10685", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-10685", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-10684", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-10684", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-7246", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-7246", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-7244", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-7244", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-7245", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-7245", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-2779", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2016-2779", 
                        "Vulnerable_Package": "util-linux-2.27.1-6ubuntu3.3"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2013-4235", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2013-4235", 
                        "Vulnerable_Package": "passwd-1:4.2-3.1ubuntu5.3"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-6512", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-6512", 
                        "Vulnerable_Package": "perl-base-5.22.1-9ubuntu0.2"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-4484", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2016-4484", 
                        "Vulnerable_Package": "libcryptsetup4-2:1.6.6-5ubuntu2.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-12424", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-12424", 
                        "Vulnerable_Package": "passwd-1:4.2-3.1ubuntu5.3"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-11112", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-11112", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-11113", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-11113", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-17512", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2017-17512", 
                        "Vulnerable_Package": "sensible-utils-0.0.9"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-6004", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-6004", 
                        "Vulnerable_Package": "libpcre3-2:8.38-3.1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13730", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13730", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13731", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13731", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13732", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13732", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13733", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13733", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-13734", 
                        "Severity": "Negligible", 
                        "CVE_ID": "CVE-2017-13734", 
                        "Vulnerable_Package": "ncurses-bin-6.0+20160213-1ubuntu1"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2016-1585", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2016-1585", 
                        "Vulnerable_Package": "libapparmor1-2.10.95-0ubuntu2.7"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000082", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-1000082", 
                        "Vulnerable_Package": "systemd-sysv-229-4ubuntu21"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-12132", 
                        "Severity": "Medium", 
                        "CVE_ID": "CVE-2017-12132", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-12133", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2017-12133", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }, 
                    {
                        "Fix_Available": "None", 
                        "URL": "http://people.ubuntu.com/~ubuntu-security/cve/CVE-2015-8985", 
                        "Severity": "Low", 
                        "CVE_ID": "CVE-2015-8985", 
                        "Vulnerable_Package": "multiarch-support-2.23-0ubuntu10"
                    }
                ], 
                "added": []
            }
        }
    }
}